Update a contact
PATCH
/contacts/{id}Requires scope: write:contacts
Parameters
| Parameter | In | Type | Description |
|---|---|---|---|
idrequired | path | string | |
Idempotency-Keyrequired | header | string | Stable logical request ID required for every machine mutation; exact retries replay and changed inputs conflict. |
Request body
| Field | Type | Allowed values | Description |
|---|---|---|---|
first_name | string | any string | |
last_name | string | any string | |
role | string | any string | |
email | string | any string | |
email_permission_status | string | unknownconfirmedwithdrawn | |
email_permission_source | string | direct_requestwebsite_formeventexisting_relationshipimported_consentother | |
email_permission_confirmed_at | string | any string | |
email_permission_note | string | any string |
Responses
| Status | Description |
|---|---|
200 | Updated |
401 | Missing or invalid API key |
403 | Key lacks the required scope |
404 | Contact not found |
429 | Rate limit exceeded (see Retry-After) |
Is this page helpful?